node package manager

@mitchallen/factory-base

@mitchallen/factory-base

Factory base class


Installation

You must use npm 2.7.0 or higher because of the scoped package name.

$ npm init
$ npm install @mitchallen/factory-base --save

Usage

var _factory = require("@mitchallen/factory-base");
var obj = _factory.create({});
should.exist(obj);
obj.health().should.eql("OK")

Testing

To test, go to the root folder and type (sans $):

$ npm test

Repo(s)


Contributing

In lieu of a formal style guide, take care to maintain the existing coding style. Add unit tests for any new or changed functionality. Lint and test your code.


Version History

Version 0.1.0

  • initial release